{&CDecl-,OrgName+}
unit skMHLapi;

interface
uses
     skCommon;

procedure skmhlapiInit; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetRegisterFileHandlers(const ARegisterFileOpen: TMessageBaseRegisterFileOpen;
const ARegisterFileClose: TMessageBaseRegisterFileClose); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiClearRegisterFileHandlers; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiOpen(const Base: Pointer; const Path: String): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiCreate(const Base: Pointer; const Path: String): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiExist(const Base: Pointer; const Path: String): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiClose(const Base: Pointer); {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiExists(const Base: Pointer; Message: Longint): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiCurrent(const Base: Pointer): Longint; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSeek(const Base: Pointer; Message: Longint); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSeekNext(const Base: Pointer); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSeekPrev(const Base: Pointer); {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiSeekFound(const Base: Pointer): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGetLocation(const Base: Pointer): Longint; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetLocation(const Base: Pointer; Location: Longint); {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiOpenMessage(const Base: Pointer): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiOpenMessageHeader(const Base: Pointer): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiCloseMessage(const Base: Pointer): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGetHighest(const Base: Pointer): Longint; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGetCount(const Base: Pointer): Longint; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGetFrom(const Base: Pointer): String; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGetTo(const Base: Pointer): String; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGetSubject(const Base: Pointer): String; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiGetFromAddress(const Base: Pointer; var Address: TAddress); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiGetToAddress(const Base: Pointer; var Address: TAddress); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiGetFromAndToAddress(const Base: Pointer; var FromAddress, ToAddress: TAddress);
 {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetFrom(const Base: Pointer; const S: String); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetTo(const Base: Pointer; const S: String); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetSubject(const Base: Pointer; const S: String); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetFromAddress(const Base: Pointer; var Address: TAddress; const FreshMSGID: Boolean);
 {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetToAddress(const Base: Pointer; var Address: TAddress); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetFromAndToAddress(const Base: Pointer; var FromAddress, ToAddress: TAddress; const FreshMSGID: Boolean);
procedure skmhlapiGetStringPChar(const Base: Pointer; Line: PChar; MaxLen: Integer); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiGetString(const Base: Pointer; var Line: String); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiPutStringPChar(const Base: Pointer; Line: PChar); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiPutString(const Base: Pointer; const Line: String); {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiEndOfMessage(const Base: Pointer): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetTextPos(const Base: Pointer; Position: Longint); {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGetTextPos(const Base: Pointer): Longint; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGetTextSize(const Base: Pointer): Longint; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiTruncateText(const Base: Pointer); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiReadText(const Base: Pointer; var Buf; Count: Word); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiWriteText(const Base: Pointer; var Buf; Count: Word); {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGetAttribute(const Base: Pointer; Attribute: Longint): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetAttribute(const Base: Pointer; Attribute: Longint; Enable: Boolean); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiGetWrittenDateTime(const Base: Pointer; var DateTime: TMessageBaseDateTime);
 {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiGetArrivedDateTime(const Base: Pointer; var DateTime: TMessageBaseDateTime);
 {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetWrittenDateTime(const Base: Pointer; var DateTime: TMessageBaseDateTime);
 {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetArrivedDateTime(const Base: Pointer; var DateTime: TMessageBaseDateTime);
 {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiWriteMessage(const Base: Pointer): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiWriteMessageHeader(const Base: Pointer): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGetKludgePChar(const Base: Pointer; const Name, Destination: PChar; const MaxLen: Integer): Boolean;
 {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGetKludge(const Base: Pointer; const Name: String; var Destination: String): Boolean;
 {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetKludgePChar(const Base: Pointer; const Name, Value: PChar); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetKludge(const Base: Pointer; const Name, Value: String); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiDeleteKludgePChar(const Base: Pointer; const Name: PChar); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiDeleteKludge(const Base: Pointer; const Name: String); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiAddKludgePChar(const Base: Pointer; const Value: PChar); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiAddKludge(const Base: Pointer; const Value: String); {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGetMessageTextStream(const Base: Pointer): PMessageBaseStream; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetFlag(const Base: Pointer; const Flag: Longint; const Enable: Boolean);
 {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGetFlag(const Base: Pointer; const Flag: Longint): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiCheckFromAddress(const Base: Pointer; const S: String; var Address: TAddress);
 {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiCheckToAddress(const Base: Pointer; const S: String; var Address: TAddress);
 {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiCreateNewMessage(const Base: Pointer): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiKillMessage(const Base: Pointer): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGetLastRead(const Base: Pointer; const UserNumber: Longint): Longint; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetLastRead(const Base: Pointer; const UserNumber: Longint; const Value: Longint);
 {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiResetDateTime(const Base: Pointer); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetBaseType(const Base: Pointer; const BaseType: TBaseType); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiPutOrigin(const Base: Pointer; Address: TAddress; const Text: String); {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiAfterLastKludge(const Base: Pointer): Longint; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetMessageTextStream(const Base: Pointer; const AMessageText: PMessageBaseStream);
 {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetStatus(const Base: Pointer; const AStatus: Longint); {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGetStatus(const Base: Pointer): Longint; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetOpened(const Base: Pointer; const AOpened: Boolean); {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGetOpened(const Base: Pointer): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetCurrent(const Base: Pointer; const ACurrentMessage: Longint); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSetBasePath(const Base: Pointer; const ABasePath: String); {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGetBasePath(const Base: Pointer): String; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiKludgeStart(const Base: Pointer): Longint; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiKludgeEnd(const Base: Pointer): Longint; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiGetAttributesLine(const Base: Pointer; var S: String); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiGetDateTimeLine(var DT: TMessageBaseDateTime; var S: String); {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiVersion: String; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiTitle: String; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiFullTitle: String; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapifidoGetAFLAG(const Base: Pointer; const Flag: String): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapifidoSetAFLAG(const Base: Pointer; const Flag: String; const Enable: Boolean);
 {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapifidoSetReplyTo(const Base: Pointer; const ReplyTo: Longint); {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapifidoGetReplyTo(const Base: Pointer): Longint; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapifidoSetReplyNext(const Base: Pointer; const ReplyNext: Longint); {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapifidoGetReplyNext(const Base: Pointer): Longint; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapifidoGetHeader(const Base: Pointer; var AHeader: TFidoHeader); {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapijamGetReplyTo(const Base: Pointer): LongInt; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapijamGetReplyFirst(const Base: Pointer): LongInt; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapijamGetReplyNext(const Base: Pointer): LongInt; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapijamSetReplyTo(const Base: Pointer; const AReplyTo: LongInt); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapijamSetReplyFirst(const Base: Pointer; const AReplyFirst: LongInt); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapijamSetReplyNext(const Base: Pointer; const AReplyNext: LongInt); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapijamGetMessageHeader(const Base: Pointer; var AHeader: TJamMessageHeaderFirst);
 {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapijamGetStreams(const Base: Pointer; var AHeaderLink, AIndexLink, ADataLink: PMessageBaseStream);
 {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapisquishGetReplies(const Base: Pointer; var Replies: TSquishMessageReplies);
 {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapisquishSetReplies(const Base: Pointer; var Replies: TSquishMessageReplies);
 {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapisquishGetReplyTo(const Base: Pointer): Longint; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapisquishSetReplyTo(const Base: Pointer; const AReplyTo: Longint); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapisquishGetMessageHeader(const Base: Pointer; var AHeader: TSquishMessageHeader);
 {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapisquishGetBaseHeader(const Base: Pointer; var AHeader: TSquishBaseHeader);
 {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapisquishGetStreams(const Base: Pointer; var ADataLink, AIndexLink: PMessageBaseStream);
 {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapisquishGetHighWater(const Base: Pointer): Longint; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapisquishSetHighWater(const Base: Pointer; const AHighWater: Longint); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapisquishSeekHighWater(const Base: Pointer); {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiCreateFidoMessageBase: Pointer; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiCreateJamMessageBase: Pointer; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiCreateSquishMessageBase: Pointer; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiCreateMessageBase: Pointer; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiDestroyMessageBase(const Base: Pointer); {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiSplitID(const ID: String; var Format: TMessageBaseFormat; var Path: String);
 {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiOpenMessageBaseEx(var Base: Pointer; const ID: String; const Create: Boolean; Attempts: Longint): Boolean;
function skmhlapiOpenMessageBase(var Base: Pointer; const ID: String): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiOpenOrCreateMessageBase(var Base: Pointer; const ID: String): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiCloseMessageBase(var Base: Pointer): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiExistMessageBase(const ID: String): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiInitMessageBase(var Base: Pointer; const ID: String): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiDoneMessageBase(var Base: Pointer): Boolean; {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGetOpenStatus: Longint; {$IFDEF DELPHI}pascal;{$ENDIF}
procedure skmhlapiDistinguishBaseFormat(Base: Pointer; var Format: TMessageBaseFormat); {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGatewayTV(const Stream: Pointer; const fn: Integer; const Data: Pointer; var l: Longint): Longint;
 {$IFDEF DELPHI}pascal;{$ENDIF}
function skmhlapiGatewayMHL(const Stream: Pointer; const fn: Integer; const Data: Pointer; var l: Longint): Longint;
 {$IFDEF DELPHI}pascal;{$ENDIF}

implementation

{$IFNDEF DPMI}
const
 skMHLdll = {$IFDEF WIN32}'skMHLw32.dll' {$ENDIF}
            {$IFDEF OS2}  'skMHLos2.dll'  {$ENDIF};
{$ENDIF}

procedure skmhlapiInit; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetRegisterFileHandlers; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiClearRegisterFileHandlers; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiOpen; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiCreate; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiExist; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiClose; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiExists; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiCurrent; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSeek; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSeekNext; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSeekPrev; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiSeekFound; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGetLocation; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetLocation; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiOpenMessage; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiOpenMessageHeader; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiCloseMessage; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGetHighest; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGetCount; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGetFrom; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGetTo; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGetSubject; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiGetFromAddress; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiGetToAddress; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiGetFromAndToAddress; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetFrom; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetTo; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetSubject; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetFromAddress; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetToAddress; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetFromAndToAddress; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiGetStringPChar; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiGetString; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiPutStringPChar; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiPutString; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiEndOfMessage; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetTextPos; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGetTextPos; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGetTextSize; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiTruncateText; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiReadText; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiWriteText; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGetAttribute; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetAttribute; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiGetWrittenDateTime; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiGetArrivedDateTime; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetWrittenDateTime; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetArrivedDateTime; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiWriteMessage; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiWriteMessageHeader; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGetKludgePChar; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGetKludge; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetKludgePChar; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetKludge; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiDeleteKludgePChar; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiDeleteKludge; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiAddKludgePChar; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiAddKludge; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGetMessageTextStream; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetFlag; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGetFlag; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiCheckFromAddress; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiCheckToAddress; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiCreateNewMessage; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiKillMessage; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGetLastRead; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetLastRead; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiResetDateTime; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetBaseType; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiPutOrigin; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiAfterLastKludge; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetMessageTextStream; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetStatus; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGetStatus; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetOpened; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGetOpened; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetCurrent; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSetBasePath; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGetBasePath; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiKludgeStart; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiKludgeEnd; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiGetAttributesLine; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiGetDateTimeLine; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiVersion; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiTitle; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiFullTitle; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapifidoGetAFLAG; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapifidoSetAFLAG; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapifidoSetReplyTo; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapifidoGetReplyTo; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapifidoSetReplyNext; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapifidoGetReplyNext; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapifidoGetHeader; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapijamGetReplyTo; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapijamGetReplyFirst; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapijamGetReplyNext; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapijamSetReplyTo; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapijamSetReplyFirst; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapijamSetReplyNext; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapijamGetMessageHeader; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapijamGetStreams; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapisquishGetReplies; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapisquishSetReplies; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapisquishGetReplyTo; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapisquishSetReplyTo; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapisquishGetMessageHeader; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapisquishGetBaseHeader; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapisquishGetStreams; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapisquishGetHighWater; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapisquishSetHighWater; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapisquishSeekHighWater; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiCreateFidoMessageBase; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiCreateJamMessageBase; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiCreateSquishMessageBase; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiCreateMessageBase; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiDestroyMessageBase; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiSplitID; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiOpenMessageBaseEx; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiOpenMessageBase; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiOpenOrCreateMessageBase; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiCloseMessageBase; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiExistMessageBase; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiInitMessageBase; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiDoneMessageBase; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGetOpenStatus; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
procedure skmhlapiDistinguishBaseFormat; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGatewayTV; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};
function skmhlapiGatewayMHL; external {$IFDEF DPMI} 'skMHLapi' {$ELSE} skMHLdll {$ENDIF};

end.
